summaryrefslogtreecommitdiff
path: root/plugins
diff options
context:
space:
mode:
authorMarc Cornellà <marc.cornella@live.com>2016-09-10 00:21:11 +0200
committerMarc Cornellà <marc.cornella@live.com>2016-09-10 00:23:50 +0200
commit2a44527ac3eea1e87b518f69956f3a2bde669dac (patch)
tree3e8408136a9f938dd9f32242e008948ca43eea05 /plugins
parent27fff27253ec7f631f3f9e51f0a9f37214d67f17 (diff)
downloadzsh-2a44527ac3eea1e87b518f69956f3a2bde669dac.tar.gz
zsh-2a44527ac3eea1e87b518f69956f3a2bde669dac.tar.bz2
zsh-2a44527ac3eea1e87b518f69956f3a2bde669dac.zip
npm: quiet error output of npm completion
Diffstat (limited to 'plugins')
-rw-r--r--plugins/npm/npm.plugin.zsh3
1 files changed, 2 insertions, 1 deletions
diff --git a/plugins/npm/npm.plugin.zsh b/plugins/npm/npm.plugin.zsh
index 30b91ec9c..fd2703ce1 100644
--- a/plugins/npm/npm.plugin.zsh
+++ b/plugins/npm/npm.plugin.zsh
@@ -2,7 +2,8 @@
__NPM_COMPLETION_FILE="${ZSH_CACHE_DIR}/npm_completion"
if [[ ! -f $__NPM_COMPLETION_FILE ]]; then
- npm completion >! $__NPM_COMPLETION_FILE || rm -f $__NPM_COMPLETION_FILE
+ npm completion >! $__NPM_COMPLETION_FILE 2>/dev/null
+ [[ $? -ne 0 ]] && rm -f $__NPM_COMPLETION_FILE
fi
source $__NPM_COMPLETION_FILE